SystemOrganization addCategory: #'2017-TyH-TestCases'!

TestCase subclass: #CesarTest
	instanceVariableNames: 'cesar'
	classVariableNames: ''
	poolDictionaries: ''
	category: '2017-TyH-TestCases'!

!CesarTest methodsFor: 'setUp-tearDown' stamp: 'JuanPablo 7/26/2017 22:25'!
setUp
	cesar := Cesar new.! !

!CesarTest methodsFor: 'setUp-tearDown' stamp: 'JuanPablo 7/26/2017 22:35'!
tearDown
	cesar := nil.! !

!CesarTest methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:05'!
testCesarDecrypt
	| desencryptMsj |
	desencryptMsj := cesar decrypt: 'hq ho sdudgljpd rulhqwdgr d remhwrv wrgr hv xq remhwr'.

	self should: [ desencryptMsj = 'en el paradigma orientado a objetos todo es un objeto' ].! !

!CesarTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 09:04'!
testCesarDecryptEmptyInput
	"Encriptar un string vacio"
	| decryptMsj |
	decryptMsj := cesar decrypt: ''.

	self should: [ decryptMsj = '' ].! !

!CesarTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 09:42'!
testCesarDecryptLimitInput
	"Prueba de condicion de borde para caracteres al inicio del alfabeto"
	| decryptMsj |
	decryptMsj := cesar decrypt: 'abc'.
	self should: [ decryptMsj = 'xyz' ].! !

!CesarTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 09:05'!
testCesarDecryptUnknownInput
	"Encriptar un caracter que no se encuentre en el alfabeto establecido."
	| decryptMsj |
	decryptMsj := cesar decrypt: '?'.

	self should: [ decryptMsj = '?' ].! !

!CesarTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 09:44'!
testCesarDecryptUpperCase
	"Encriptar un caracter que no se encuentre en el alfabeto establecido retorna el mismo caracter de entrada. Para este caso una letra mayuscula"
	| decryptMsj |
	decryptMsj := cesar decrypt: 'A'.

	self should: [ decryptMsj = 'A' ].! !

!CesarTest methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:06'!
testCesarEncrypt
	| encryptMsj |
	encryptMsj := cesar encrypt: 'en el paradigma orientado a objetos todo es un objeto'.

	self should: [ encryptMsj = 'hq ho sdudgljpd rulhqwdgr d remhwrv wrgr hv xq remhwr' ].! !

!CesarTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 08:50'!
testCesarEncryptEmptyInput
	"Encriptar un string vacio"
	| encryptMsj |
	encryptMsj := cesar encrypt: ''.

	self should: [ encryptMsj = '' ].! !

!CesarTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 09:45'!
testCesarEncryptLimitInput
	"Prueba de condicion de borde para caracteres al inicio del alfabeto"
	| encryptMsj |
	encryptMsj := cesar encrypt: 'xyz'.
	self should: [ encryptMsj = 'abc' ].! !

!CesarTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 08:53'!
testCesarEncryptUnknownInput
	"Encriptar un caracter que no se encuentre en el alfabeto establecido."
	| encryptMsj |
	encryptMsj := cesar encrypt: '?'.

	self should: [ encryptMsj = '?' ].! !

!CesarTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 09:44'!
testCesarEncryptUpperCase
	"Encriptar un caracter que no se encuentre en el alfabeto establecido retorna el mismo caracter de entrada. Para este caso una letra mayuscula"
	| encryptMsj |
	encryptMsj := cesar encrypt: 'A'.

	self should: [ encryptMsj = 'A' ].! !

TestCase subclass: #Composition1Test
	instanceVariableNames: 'mCipher'
	classVariableNames: ''
	poolDictionaries: ''
	category: '2017-TyH-TestCases'!

!Composition1Test methodsFor: 'setUp - tearDown' stamp: 'JuanPablo 7/27/2017 08:46'!
setUp
	| cesar rf vigenere |
	cesar := Cesar new.
	
	rf := RailFence new.
	rf withKey: 4.

	vigenere := Vigenere new.
	vigenere withKey: 'herencia'.

	mCipher := cesar composeWith: (rf composeWith: vigenere).! !

!Composition1Test methodsFor: 'setUp - tearDown' stamp: 'JuanPablo 7/26/2017 23:57'!
tearDown
	mCipher := nil.! !

!Composition1Test methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:06'!
testComposite1Decrypt
	| desencryptMsj |
	desencryptMsj := mCipher decrypt: 'oyuaryfwxhuteslrtzizdjzhzkayuilhykyvzqtlyaii'.

	self should: [ desencryptMsj = 'enelparadigmaorientadoaobjetostodoesunobjeto' ].! !

!Composition1Test methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:25'!
testComposite1Encrypt
	| encryptMsj |
	encryptMsj := mCipher encrypt: 'en el paradigma orientado a objetos todo es un objeto'.

	self should: [ encryptMsj = 'oyuaryfwxhuteslrtzizdjzhzkayuilhykyvzqtlyaii' ].! !

TestCase subclass: #Composition2Test
	instanceVariableNames: 'mCipher'
	classVariableNames: ''
	poolDictionaries: ''
	category: '2017-TyH-TestCases'!

!Composition2Test methodsFor: 'setUp - tearDown' stamp: 'JuanPablo 7/27/2017 10:14'!
setUp
| cesar vigenere tcc |
	cesar := Cesar new.

	vigenere := Vigenere new.
	vigenere withKey: 'encapsulamiento'.

	tcc := TransposicionCC new.
	tcc withKey: 'object'.

	mCipher := vigenere composeWith: (cesar composeWith: tcc).! !

!Composition2Test methodsFor: 'setUp - tearDown' stamp: 'JuanPablo 7/27/2017 00:00'!
tearDown
	mCipher := nil.! !

!Composition2Test methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:07'!
testComposite2Decrypt
	| desencryptMsj |
	desencryptMsj := mCipher decrypt: 'doksuebkhruokwuoxpljrqjgiylirloqwqarjvtsrjnl'.

	self should: [ desencryptMsj = 'enelparadigmaorientadoaobjetostodoesunobjeto' ].! !

!Composition2Test methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:25'!
testComposite2Encrypt
	| encryptMsj |
	encryptMsj := mCipher encrypt: 'en el paradigma orientado a objetos todo es un objeto'.

	self should: [ encryptMsj = 'doksuebkhruokwuoxpljrqjgiylirloqwqarjvtsrjnl' ].! !

TestCase subclass: #Composition3Test
	instanceVariableNames: 'mCipher'
	classVariableNames: ''
	poolDictionaries: ''
	category: '2017-TyH-TestCases'!

!Composition3Test methodsFor: 'setUp-tearDown' stamp: 'JuanPablo 7/27/2017 08:46'!
setUp
	| c1 c2 c3 |
	
	c1 := Cesar new.
	c2 := Cesar new.
	c3 := Cesar new.
	
	mCipher := c1 composeWith: (c2 composeWith: c3).! !

!Composition3Test methodsFor: 'setUp-tearDown' stamp: 'JuanPablo 7/27/2017 00:02'!
tearDown
	mCipher := nil.! !

!Composition3Test methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:07'!
testComposite3Decrypt
	| desencryptMsj |
	desencryptMsj := mCipher decrypt: 'nw nu yjajmrpvj xarnwcjmx j xksncxb cxmx nb dw xksncx'.

	self should: [ desencryptMsj = 'en el paradigma orientado a objetos todo es un objeto' ].! !

!Composition3Test methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:25'!
testComposite3Encrypt
	| encryptMsj |
	encryptMsj := mCipher encrypt: 'en el paradigma orientado a objetos todo es un objeto'.

	self should: [ encryptMsj = 'nw nu yjajmrpvj xarnwcjmx j xksncxb cxmx nb dw xksncx' ].! !

TestCase subclass: #MultiCipherTest
	instanceVariableNames: 'mCipher'
	classVariableNames: ''
	poolDictionaries: ''
	category: '2017-TyH-TestCases'!

!MultiCipherTest methodsFor: 'setUp - tearDown' stamp: 'Anonymous 7/31/2017 20:07'!
setUp
	mCipher := MultiCipher new.
	mCipher withAlphabet: 'abcdefghijklmnopqrstuvwxyz'.! !

!MultiCipherTest methodsFor: 'setUp - tearDown' stamp: 'JuanPablo 7/28/2017 10:46'!
tearDown
	mCipher := nil.! !

!MultiCipherTest methodsFor: 'tests' stamp: 'JuanPablo 9/2/2017 17:21'!
testMultiCipherDecrypt
	| cesar rf vigenere tcc |
	cesar := Cesar new.
	mCipher composeWith: cesar.
	vigenere := Vigenere new.
	vigenere withKey: 'amz'.
	mCipher composeWith: vigenere.
	rf := RailFence new.
	rf withKey: 3.
	mCipher composeWith: rf.
	tcc := TransposicionCC new.
	tcc withKey: 'zebras'.
	mCipher composeWith: tcc.
	
	self should: [ (mCipher decrypt: 'dqqbndwks') = 'holamundo' ].! !

!MultiCipherTest methodsFor: 'tests' stamp: 'JuanPablo 9/2/2017 17:21'!
testMultiCipherEncrypt
	| cesar rf vigenere tcc |
	
	cesar := Cesar new.
	mCipher composeWith: cesar.
	
	vigenere := Vigenere new.
	vigenere withKey: 'amz'.
	mCipher composeWith: vigenere.
	
	rf := RailFence new.
	rf withKey: 3.
	mCipher composeWith: rf.
	
	tcc := TransposicionCC new.
	tcc withKey: 'zebras'.
	mCipher composeWith: tcc.
	
	self should: [ (mCipher encrypt: 'hola mundo') = 'dqqbndwks' ].! !

TestCase subclass: #RailFenceTest
	instanceVariableNames: 'railFence'
	classVariableNames: ''
	poolDictionaries: ''
	category: '2017-TyH-TestCases'!

!RailFenceTest methodsFor: 'setUp-tearDown' stamp: 'Anonymous 7/28/2017 13:54'!
setUp
	railFence  := RailFence new.! !

!RailFenceTest methodsFor: 'setUp-tearDown' stamp: 'Anonymous 7/28/2017 13:55'!
tearDown
	railFence := nil.! !

!RailFenceTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 10:07'!
testRailFenceDecryptZeroKey
	"Test del ejemplo propuesto en el enunciado"
	| encryptMsj |
	railFence withKey: 0.
	encryptMsj := railFence encrypt: 'we are discovered flee at once'.
	"Esta amarillo porque hay que sacar los espacios blancos!!"

	self should: [ encryptMsj = 'we are discovered flee at once' ].! !

!RailFenceTest methodsFor: 'tests-catedra' stamp: 'Anonymous 7/28/2017 13:51'!
testRailFenceEncrypt
	| encryptMsj |
	railFence withKey: 3.
	encryptMsj := railFence encrypt: 'en el paradigma orientado a objetos todo es un objeto'.
	"Esta amarillo porque hay que sacar los espacios blancos!!"

	self should: [ encryptMsj = 'epdaedbodujnlaaimoinaoojtsoosnbeoergrtaeteot' ].! !

!RailFenceTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 10:08'!
testRailFenceEncrypt2
	"Test del ejemplo propuesto en el enunciado"
	| encryptMsj |
	railFence withKey: 3.
	encryptMsj := railFence encrypt: 'we are discovered flee at once'.
	"Esta amarillo porque hay que sacar los espacios blancos!!"

	self should: [ encryptMsj = 'wecrlteerdsoeefeaocaivden' ].! !

!RailFenceTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 10:07'!
testRailFenceEncryptZeroKey
	"Test del ejemplo propuesto en el enunciado"
	| encryptMsj |
	railFence withKey: 0.
	encryptMsj := railFence encrypt: 'we are discovered flee at once'.
	"Esta amarillo porque hay que sacar los espacios blancos!!"

	self should: [ encryptMsj = 'we are discovered flee at once' ].! !

!RailFenceTest methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:08'!
testRailFendeDecrypt
	| desencryptMsj |
	railFence withKey: 3.
	desencryptMsj := railFence decrypt: 'epdaedbodujnlaaimoinaoojtsoosnbeoergrtaeteot'.

	self should: [ desencryptMsj = 'enelparadigmaorientadoaobjetostodoesunobjeto' ].! !

!RailFenceTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 10:08'!
testRailFendeDecrypt2
	| desencryptMsj |
	railFence withKey: 3.
	desencryptMsj := railFence decrypt: 'wecrlteerdsoeefeaocaivden'.

	self should: [ desencryptMsj = 'wearediscoveredfleeatonce' ].! !

TestCase subclass: #TransposicionCCTest
	instanceVariableNames: 'tcc'
	classVariableNames: ''
	poolDictionaries: ''
	category: '2017-TyH-TestCases'!

!TransposicionCCTest methodsFor: 'setUp-tearDown' stamp: 'JuanPablo 7/27/2017 10:14'!
setUp
	tcc := TransposicionCC new.! !

!TransposicionCCTest methodsFor: 'setUp-tearDown' stamp: 'JuanPablo 7/26/2017 23:48'!
tearDown
	tcc := nil.! !

!TransposicionCCTest methodsFor: 'tests' stamp: 'Anonymous 7/31/2017 20:06'!
testTCCEncryptingSinBlank
	"Test similar al propuesto por la catedra pero sin espacios en blanco. Tendia que devolver la misma salida que con espacios en blanco."
	| encryptMsj |
	tcc withKey: 'zebra'.
	tcc notRegularMode.
	encryptMsj := tcc encrypt: 'enelparadigmaorientadoaobjetostodoesunobjeto'.

	self should: [ encryptMsj = 'pirabsebeaanatdntnrmeoeoueldotoooooeagidjtsj' ].! !

!TransposicionCCTest methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:08'!
testTransposicionCCDecrypt
	| desencryptMsj |
	tcc withKey: 'zebra'.
	desencryptMsj := tcc decrypt: 'pirabsebeaanatdntnrmeoeoueldotoooooeagidjtsj'.

	self should: [ desencryptMsj = 'enelparadigmaorientadoaobjetostodoesunobjeto' ].! !

!TransposicionCCTest methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:09'!
testTransposicionCCEncrypt
	| encryptMsj |
	tcc withKey: 'zebra'.
	encryptMsj := tcc encrypt: 'en el paradigma orientado a objetos todo es un objeto'.
	
	self should: [ encryptMsj = 'pirabsebeaanatdntnrmeoeoueldotoooooeagidjtsj' ].! !

!TransposicionCCTest methodsFor: 'tests-catedra' stamp: 'Anonymous 7/28/2017 13:48'!
testTransposicionCCRegularDecrypt
	| desencryptMsj |
	tcc withKey: 'zebra'.
	tcc regularMode.
	desencryptMsj := tcc decrypt: 'pirabseb*eaanatdnt*nrmeoeoue*ldotooooo*eagidjtsj*'.

	self should: [ desencryptMsj = 'enelparadigmaorientadoaobjetostodoesunobjeto' ].! !

!TransposicionCCTest methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:16'!
testTransposicionCCRegularEncrypt
	| encryptMsj |
	tcc withKey: 'zebra'.
	tcc regularMode.
	encryptMsj := tcc encrypt: 'en el paradigma orientado a objetos todo es un objeto'.
	
	self should: [ encryptMsj = 'pirabseb*eaanatdnt*nrmeoeoue*ldotooooo*eagidjtsj*' ].! !

TestCase subclass: #VigeneTest
	instanceVariableNames: 'vigenere'
	classVariableNames: ''
	poolDictionaries: ''
	category: '2017-TyH-TestCases'!

!VigeneTest methodsFor: 'setUp - tearDown' stamp: 'JuanPablo 7/26/2017 23:43'!
setUp
	vigenere := Vigenere new.! !

!VigeneTest methodsFor: 'setUp - tearDown' stamp: 'JuanPablo 7/26/2017 23:43'!
tearDown
	vigenere := nil.! !

!VigeneTest methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:10'!
testVigenereDecrypt
	| desencryptMsj |
	vigenere withKey: 'polimorfismo'.
	desencryptMsj := vigenere decrypt: 'tbptboiflasapccqqbkflgmcqxpbagktlgqgjbzjvskt'.

	self should: [ desencryptMsj = 'enelparadigmaorientadoaobjetostodoesunobjeto' ].! !

!VigeneTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 08:59'!
testVigenereDecryptEmptyInput
	"Encriptar un string vacio"
	| decryptMsj |
	vigenere withKey: 'pwd'.
	decryptMsj := vigenere decrypt: ''.

	self should: [ decryptMsj = '' ].! !

!VigeneTest methodsFor: 'tests' stamp: 'AF 7/29/2017 18:45'!
testVigenereDecryptLimitInput
	"Encriptar un string vacio "
	| decryptMsj |
	vigenere withKey: 'zb'.
	decryptMsj := vigenere decrypt: 'aa'.
	self should: [ decryptMsj = 'bz' ].
	decryptMsj := vigenere decrypt: 'za'.
	self should: [ decryptMsj = 'az' ].! !

!VigeneTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 08:59'!
testVigenereDecryptUnknownInput
	"Encriptar un caracter que no se encuentre en el alfabeto establecido."
	| decryptMsj |
	vigenere withKey: 'pwd'.
	decryptMsj := vigenere decrypt: '?'.

	self should: [ decryptMsj = '?' ].! !

!VigeneTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 09:45'!
testVigenereDecryptUpperCase
	"Encriptar un caracter que no se encuentre en el alfabeto establecido."
	| decryptMsj |
	vigenere withKey: 'pwd'.
	decryptMsj := vigenere decrypt: 'A'.

	self should: [ decryptMsj = 'A' ].! !

!VigeneTest methodsFor: 'tests-catedra' stamp: 'JuanPablo 7/28/2017 10:10'!
testVigenereEncrypt
	| encryptMsj |
	vigenere withKey: 'polimorfismo'.
	encryptMsj := vigenere encrypt: 'en el paradigma orientado a objetos todo es un objeto'.

	self should: [ encryptMsj = 'tbptboiflasapccqqbkflgmcqxpbagktlgqgjbzjvskt' ].! !

!VigeneTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 09:48'!
testVigenereEncryptEmptyInput
	"Encriptar un string vacio"
	| encryptMsj |
	vigenere withKey: 'pwd'.
	encryptMsj := vigenere encrypt: ''.

	self should: [ encryptMsj = '' ].! !

!VigeneTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 09:50'!
testVigenereEncryptLimitInput
	"Encriptar un string vacio"
	| encryptMsj |
	vigenere withKey: 'z'.
	encryptMsj := vigenere encrypt: 'a'.
	self should: [ encryptMsj = 'z' ].
	encryptMsj := vigenere encrypt: 'z'.
	self should: [ encryptMsj = 'y' ].! !

!VigeneTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 09:49'!
testVigenereEncryptUnknownInput
	"Encriptar un caracter que no se encuentre en el alfabeto establecido."
	| encryptMsj |
	vigenere withKey: 'pwd'.
	encryptMsj := vigenere encrypt: '?'.

	self should: [ encryptMsj = '?' ].! !

!VigeneTest methodsFor: 'tests' stamp: 'JuanPablo 7/28/2017 09:49'!
testVigenereEncryptUpperCase
	"Encriptar un caracter que no se encuentre en el alfabeto establecido."
	| encryptMsj |
	vigenere withKey: 'pwd'.
	encryptMsj := vigenere encrypt: 'A'.

	self should: [ encryptMsj = 'A' ].! !
